-- Accounts Payables prefix: ap_ systemid: 6
-- Tables for the Accounts Payables Module
-- Copyright (c) 2001 The FreeMoney Project
-- This work is released under the GPL
-- $Id: create_tables_ap.sql,v 1.6 2001/03/31 17:29:37 kaare Exp $

-- Sequences

--Tables
DROP TABLE ap_vendor;
DROP TABLE ap_journal;

CREATE TABLE ap_vendor (
       contact_id           integer NOT NULL,
       period               date NOT NULL,
       total                money,
       paid                 money,
       lastdate             date,
       due                  money,
       updated              timestamp NOT NULL DEFAULT 'now',
 PRIMARY KEY (contact_id , period),
 FOREIGN KEY (contact_id )  REFERENCES ap_vendor
);

CREATE TABLE ap_journal (
       external_invoicenr   integer NOT NULL,
       contact_id           integer,
       total                money,
       paid                 money,
       duedate              date,
       updated              timestamp NOT NULL DEFAULT 'now',
 PRIMARY KEY (external_invoicenr),
 FOREIGN KEY (contact_id )  REFERENCES ap_vendor
);

-- Views

-- Functions

-- Triggers
